Bug 530599 - Coding error in: /usr/lib/python2.6/site-packages/childsplay_sp/utils.py
Summary: Coding error in: /usr/lib/python2.6/site-packages/childsplay_sp/utils.py
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: childsplay
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Johan Cwiklinski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-23 17:05 UTC by Richard Ryniker
Modified: 2009-11-04 12:36 UTC (History)
2 users (show)

Fixed In Version: 1.4-2.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 12:17:50 UTC


Attachments (Terms of Use)

Description Richard Ryniker 2009-10-23 17:05:53 UTC
Description of problem:
File "/usr/lib/python2.6/site-packages/childsplay_sp/utils.py", line 117, in get_locale
    module_logger.error("%s, %s" % info, "Switching to English")
TypeError: not enough arguments for format string

Version-Release number of selected component (if applicable):
1.4-1.fc11

How reproducible:
always


Steps to Reproduce:
1. childsplay
2.
3.
  
Actual results:
[ryniker@ryniker ~]$ childsplay
Traceback (most recent call last):
  File "/usr/bin/childsplay", line 118, in <module>
    import childsplay_sp.SPMainCore as SPMainCore
  File "/usr/lib/python2.6/site-packages/childsplay_sp/SPMainCore.py", line 46, in <module>
    import childsplay_sp.ocempgui.widgets as ocw
  File "/usr/lib/python2.6/site-packages/childsplay_sp/ocempgui/__init__.py", line 45, in <module>
    import childsplay_sp.ocempgui.widgets
  File "/usr/lib/python2.6/site-packages/childsplay_sp/ocempgui/widgets/__init__.py", line 34, in <module>
    import base
  File "/usr/lib/python2.6/site-packages/childsplay_sp/ocempgui/widgets/base.py", line 29, in <module>
    from Style import Style
  File "/usr/lib/python2.6/site-packages/childsplay_sp/ocempgui/widgets/Style.py", line 36, in <module>
    from themes import default
  File "/usr/lib/python2.6/site-packages/childsplay_sp/ocempgui/widgets/themes/__init__.py", line 28, in <module>
    import default
  File "/usr/lib/python2.6/site-packages/childsplay_sp/ocempgui/widgets/themes/default/__init__.py", line 29, in <module>
    from DefaultEngine import DefaultEngine
  File "/usr/lib/python2.6/site-packages/childsplay_sp/ocempgui/widgets/themes/default/DefaultEngine.py", line 35, in <module>
    if get_locale()[1]:
  File "/usr/lib/python2.6/site-packages/childsplay_sp/utils.py", line 117, in get_locale
    module_logger.error("%s, %s" % info, "Switching to English")
TypeError: not enough arguments for format string
[ryniker@ryniker ~]$

Expected results:


Additional info: Fixed /usr/lib/python2.6/site-packages/childsplay_sp/utils.py
117c117
<         module_logger.error("%s, %s" % info, "Switching to English")
---
>         module_logger.error("%s, %s" % (info, "Switching to English"))

Comment 1 Johan Cwiklinski 2009-10-24 06:14:35 UTC
Thanks for the report. I can reproduce error using "LANG=C childsplay".

New patched version will be shipped soon in the repositories. I've alos reported bug upstream : https://sourceforge.net/tracker/?func=detail&aid=2884927&group_id=181294&atid=896620

Comment 2 Fedora Update System 2009-10-24 06:17:03 UTC
childsplay-1.4-2.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/childsplay-1.4-2.fc10

Comment 3 Fedora Update System 2009-10-24 06:17:10 UTC
childsplay-1.4-2.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/childsplay-1.4-2.fc11

Comment 4 Fedora Update System 2009-10-27 06:37:37 UTC
childsplay-1.4-2.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update childsplay'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10740

Comment 5 Fedora Update System 2009-10-27 07:00:06 UTC
childsplay-1.4-2.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update childsplay'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10804

Comment 6 Fedora Update System 2009-11-04 12:17:45 UTC
childsplay-1.4-2.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2009-11-04 12:36:44 UTC
childsplay-1.4-2.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.